Page MenuHomePhabricator

[GOAL] Promote related pages to production (on for everyone) on all wikis
Closed, ResolvedPublic

Description

Per RFC on topic, the desktop rollout is currently on hold indefinitely and we do not necessarily want to rollout on all wiki. The focus will be on mobile rollout for now: T135030.

Continuation of: T94906

Plan for promoting related pages:

  1. identify blockers
  2. publish early engagement results + blocker list
  3. communicate intention of rolling out to several small communities
  4. remove blockers
  5. rollout to several small projects
  6. identify new issues and remedy
  7. Repeat steps 3-5 until rolled out to all wikipedia's

Will try to rollout on mobile and desktop at the same time, but might separate to just mobile if there are a lot of desktop concerns on earlier wikis

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedJdlrobson
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
DeclinedEsanders
ResolvedJdlrobson
Resolvedphuedx
ResolvedNirzar
DuplicateNirzar
DuplicateNirzar
Resolvedbmansurov
Resolveddcausse
DuplicateNone
DeclinedNone
ResolvedJdlrobson
ResolvedNone
ResolvedJdlrobson
OpenNone
Resolved jhobs
DeclinedNone
ResolvedNone
Resolvedovasileva
Resolvedovasileva
InvalidNirzar
ResolvedNirzar
Resolvedphuedx
Resolvedhoo
ResolvedNirzar
Resolveddebt
Resolveddcausse
ResolvedJKatzWMF
Resolveddcausse
Resolvedphuedx
Resolvedovasileva
DuplicateNone
ResolvedMoushira
InvalidMoushira
ResolvedJhernandez
Openovasileva
Resolvedovasileva
ResolvedJdlrobson

Event Timeline

JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF moved this task to Next Quarter Candidates on the Reading-Admin board.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 23 2015, 12:08 AM
JKatzWMF renamed this task from [GOAL] Promote related articles to stable on all wikis to [GOAL] Promote related pages to stable on all wikis.Dec 23 2015, 4:18 AM
JKatzWMF updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.Dec 23 2015, 11:19 AM

What do you mean by "stable"?

@He7d3r sorry for using internal lingo it means on for everyone (not just beta users). I'll reword the title now.

JKatzWMF renamed this task from [GOAL] Promote related pages to stable on all wikis to [GOAL] Promote related pages to production (on for everyone) on all wikis.Dec 23 2015, 4:23 PM

Thanks! Will it still allow users to disable the feature if they don't think it is useful for them?

@He7d3r I was thinking that because it is at the very bottom of the page, there would not be a need to opt out--it is not getting in anybody's way. The principle here is that unless it is potentially getting in the way of someone's workflow, we are simply adding another setting to an already long list that our users find overwhelming. There is another reason not to add an extra visual setting--the more layout consistency we have on the site, the easier it is to design and build further improvements. Obviously any user can edit their personal .js or .css file, but they do so knowing that the experience is not supported.

This feature seems useless for me. There is already a "see also" section in the articles, and there are categories and wikilinks...

Jdlrobson triaged this task as Normal priority.Dec 23 2015, 5:39 PM
Jdlrobson added a subscriber: Jdlrobson.
JKatzWMF updated the task description. (Show Details)Dec 23 2015, 8:07 PM

Not sure if this is the right place to report issues, but the related articles list is also displayed at the bottom of "diff" pages which is quite useless (and distracting).

Thanks.

Not sure if this is the right place to report issues

@Cpt.a.haddock: Thanks for bringing this up. Please file a separate task for separate issues. Thanks for your help!

Please read :w:de:Wikipedia:Themenring. This extension must be deactivated for DE:WP ASAP.

@Matthiasb: Thanks for the heads-up about the specific de.wp rules at :w:de:Wikipedia:Themenring which you also brought up in https://www.mediawiki.org/wiki/Topic:Sycbyy6c0mt7zpwj .
As per https://www.mediawiki.org/wiki/Reading/Web/Projects/Related_pages#Timeline_Estimate (linked from https://de.wikipedia.org/wiki/Spezial:Einstellungen#mw-prefsection-betafeatures ), my understanding is that the Reading team will discuss and engage with communities before this feature might be made available to more users (currently it is a Beta feature and hence requires explicit opt-in).

I just left a note at https://meta.wikimedia.org/wiki/Talk:Requests_for_comment/Related_Pages#Community_support. I'm very curious whether any Wikimedia wiki community or reader has ever asked for this type of functionality.

This feature has every appearance of following the same anti-pattern as failed projects before it, including Gather and UserProfile. Already a number of users have complained about this feature, both in Phabricator Maniphest and on mediawiki.org, and the response has been lackluster and tone-deaf.

Glaisher removed a subscriber: Glaisher.May 16 2016, 4:48 PM
JKatzWMF changed the task status from Open to Stalled.Jul 29 2016, 7:13 PM

This is on pause we focus on the mobile-only version (T135030), per the description in that task. Specifically, "the responses to the Related pages RFC and the discussion on the related pages talk page"

Moushira closed this task as Resolved.Jan 7 2017, 4:26 PM